Query Information of an Organization
Query the detailed information of an organization.
Request URL
GET {base_url}/{api_path}/organization/get?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the organization. Note: You can query the organization's ID using Search Specific Organizations. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| organization_info | Object<Organization_Info> | The information of the organization. |
Organization_Info
| Parameter | Type | Description |
|---|---|---|
| id | Integer | Organization ID. |
| name | String | Organization name. |
| parent_id | Integer | Parent organization ID. |
| order | Integer | The sequence number of the organization. |
Examples
Request example
GET /openapi/v1.0/organization/get?id=33&access_token=WLHdAu2gbn0eGCrHx0beDZg8CK1VCQIF HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"organization_info": {
"id": 33,
"name": "tech support",
"parent_id": 1,
"order": 1
}
}